Package com.google.android.exoplayer2.testutil

## Interface DecodeOneFrameUtil.Listener

- Enclosing class:
    DecodeOneFrameUtil

      public static interface DecodeOneFrameUtil.Listener

  Listener for decoding events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onContainerExtracted​(MediaFormat mediaFormat)` | Called when the video `MediaFormat` is extracted from the container.
    `void` | `onFrameDecoded​(MediaFormat mediaFormat)` | Called when the video `MediaFormat` is read by the decoder from the byte stream, after a frame is decoded.

- - ### Method Detail

    - #### onContainerExtracted

          void onContainerExtracted​(MediaFormat mediaFormat)

      Called when the video `MediaFormat` is extracted from the container.

    - #### onFrameDecoded

          void onFrameDecoded​(MediaFormat mediaFormat)

      Called when the video `MediaFormat` is read by the decoder from the byte stream, after a frame is decoded.